> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Integration

> Create a new integration.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json post /integrations
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /integrations:
    post:
      tags:
        - integrations
        - integrations
      summary: Create Integration
      description: Create a new integration.
      operationId: create_integration_integrations_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    IntegrationCreate:
      properties:
        provider:
          type: string
          maxLength: 50
          minLength: 1
          title: Provider
        service_type:
          type: string
          pattern: ^(llm|asr|tts|mt|sip|tool)$
          title: Service Type
        config:
          additionalProperties: true
          type: object
          title: Config
          description: API keys and configuration
        enabled:
          type: boolean
          title: Enabled
          default: true
      type: object
      required:
        - provider
        - service_type
        - config
      title: IntegrationCreate
      description: Integration creation model.
    Integration:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        provider:
          type: string
          title: Provider
        service_type:
          type: string
          title: Service Type
        enabled:
          type: boolean
          title: Enabled
        status:
          type: string
          title: Status
        health_status:
          type: string
          title: Health Status
        last_health_check:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Health Check
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - tenant_id
        - provider
        - service_type
        - enabled
        - status
        - health_status
        - created_at
        - updated_at
      title: Integration
      description: Integration response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````